QOF: QofBackend_s Struct Reference

QOF 0.7.5

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
QofBackend_s Struct Reference
Query Object Framework » Object: Describing data structure. » Object_Private

## Data Fields
void(* | session_begin )(QofBackend *be, QofSession *session, const gchar *book_id, gboolean ignore_lock, gboolean create_if_nonexistent)
void(* | session_end )(QofBackend *)
void(* | destroy_backend )(QofBackend *)
void(* | load )(QofBackend *, QofBook *)
void(* | begin )(QofBackend *, QofInstance *)
void(* | commit )(QofBackend *, QofInstance *)
void(* | rollback )(QofBackend *, QofInstance *)
gpointer(* | compile_query )(QofBackend *, QofQuery *)
void(* | free_query )(QofBackend *, gpointer)
void(* | run_query )(QofBackend *, gpointer)
void(* | sync )(QofBackend *, QofBook *)
void(* | load_config )(QofBackend *, KvpFrame *)
KvpFrame *(* | get_config )(QofBackend *)
gint64(* | counter )(QofBackend *, const gchar *counter_name)
gboolean(* | events_pending )(QofBackend *)
gboolean(* | process_events )(QofBackend *)
QofBePercentageFunc | percentage
QofBackendProvider * | provider
gboolean(* | save_may_clobber_data )(QofBackend *)
QofErrorId | last_err
gchar * | error_msg
GList * | error_stack
KvpFrame * | backend_configuration
gint | config_count
gchar * | fullpath
void(* | price_lookup )(QofBackend *, gpointer)
void(* | export )(QofBackend *, QofBook *)

## Detailed Description

Definition at line 283 of file qofbackend-p.h.

## Field Documentation

gchar* QofBackend_s::error_msg

Deprecated:
  use stack instead.

Definition at line 326 of file qofbackend-p.h.

void(* QofBackend_s::export) (QofBackend *, QofBook *)

Deprecated:

Definition at line 344 of file qofbackend-p.h.

gchar* QofBackend_s::fullpath

Each backend resolves a fully-qualified file path. This holds the filepath and communicates it to the frontends.

Definition at line 338 of file qofbackend-p.h.

QofErrorId QofBackend_s::last_err

Deprecated:
  use qof_error_check instead.

Definition at line 324 of file qofbackend-p.h.

void(* QofBackend_s::price_lookup) (QofBackend *, gpointer)

Deprecated:

Definition at line 341 of file qofbackend-p.h.

gboolean(* QofBackend_s::save_may_clobber_data) (QofBackend *)

Detect if the sync operation will overwrite data

File based backends tend to consider the original file as 'stale' immediately the data finishes loading. New data only exists in memory and the data in the file is completely replaced when qof_session_save is called. e.g. this routine can be used to detect if a Save As... operation would overwrite a possibly unrelated file. Not all file backends use this function.

Returns
  TRUE if the user may need to be warned about possible data loss, otherwise FALSE.

Definition at line 320 of file qofbackend-p.h.

The documentation for this struct was generated from the following file:

- qofbackend-p.h